=== debian/changelog ===
nfstrace (0.3.1-2) unstable; urgency=medium

  * Add dependency on ncurses.
  * Fix build failure on kFreeBSD.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 18 Dec 2014 13:15:34 +0100

nfstrace (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 18 Dec 2014 12:12:48 +0100

nfstrace (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #769397).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 18 Nov 2014 15:39:40 +0100
