=== debian/control ===
Source: nfstrace
Section: net
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
    debhelper (>= 9),
    cmake,
    g++ (>= 4.8) | clang (>= 3.3),
    libpcap0.8-dev (>= 1.3),
    libgtest-dev,
    google-mock,
    libncurses5-dev
Standards-Version: 3.9.5
Homepage: https://github.com/epam/nfstrace/

Package: nfstrace
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NFS tracing/monitoring/capturing/analyzing tool
 nfstrace captures live NFS traffic and performs filtering, statistical
 analysis, visualisation and more. It also provides an API for custom
 pluggable analysis modules.
 .
 nfstrace currently supports the following protocols:
 .
  - Ethernet
  - IPv4, IPv6
  - UDP, TCP
  - NFSv3, NFSv4
