=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DGMOCK_SOURCE_DIR=/usr/src/gmock

.PHONY: override_dh_auto_configure
