=== debian/watch ===
# watch control file for uscan
# See uscan(1) for how to set this file properly

version=3

https://github.com/epam/nfstrace/tags .*/(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)
