=== debian/changelog ===
nfstrace (0.4.1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:43:58 +0000

nfstrace (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to mangle the tarball filename.
  * Drop patches applied upstream.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 12 Nov 2015 19:17:45 +0100

nfstrace (0.4.0-3) unstable; urgency=medium

  * Apply more patches from upstream fixing FTBFS (Closes: #786801).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 23 Jul 2015 20:04:14 +0200

nfstrace (0.4.0-2) unstable; urgency=medium

  * Apply patches from upstream fixing FTBFS (Closes: #786801).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 16 Jun 2015 00:00:07 +0200

nfstrace (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Build documentation using LibreOffice
  * Depend on libjson-c-dev

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 05 May 2015 15:17:33 +0200
