=== debian/control ===
--- 
+++ 
@@ -9,7 +9,11 @@
     libpcap0.8-dev (>= 1.3),
     libgtest-dev,
     google-mock,
-    libncurses5-dev
+    libncurses5-dev,
+    libjson-c-dev
+Build-Depends-Indep:
+#   doxygen,
+    libreoffice-writer
 Standards-Version: 3.9.5
 Homepage: https://github.com/epam/nfstrace/
 
@@ -17,6 +21,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: nfstrace-doc
 Description: NFS tracing/monitoring/capturing/analyzing tool
  nfstrace captures live NFS traffic and performs filtering, statistical
  analysis, visualisation and more. It also provides an API for custom
@@ -27,4 +32,14 @@
   - Ethernet
   - IPv4, IPv6
   - UDP, TCP
-  - NFSv3, NFSv4
+  - NFSv3, NFSv4, CIFS
+
+Package: nfstrace-doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: NFS tracing/monitoring/capturing/analyzing tool (documentation)
+ nfstrace captures live NFS traffic and performs filtering, statistical
+ analysis, visualisation and more. It also provides an API for custom
+ pluggable analysis modules.
+ .
+ This package ships the documentation for nfstrace.
