=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build-indep:
	cd docs; \
	unset DISPLAY; \
	loffice --headless --convert-to pdf nfstrace_manual.docx
	# PlantUML not available :(
	# $(MAKE) -C docs

override_dh_auto_test-indep:

override_dh_auto_configure:
	dh_auto_configure -- -DGMOCK_SOURCE_DIR=/usr/src/gmock

override_dh_auto_install-indep:

.PHONY: override_dh_auto_configure override_dh_auto_build-indep override_dh_auto_test-indep override_dh_auto_install-indep
