## nfstrace 0.4.2

=== debian/changelog ===
nfstrace (0.4.2-2ubuntu3) yakkety; urgency=medium

  * debian/patches/no-unaligned-access.patch: Fix unaligned access in
    buffer copies.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Oct 2016 20:48:54 -0700

nfstrace (0.4.2-2ubuntu2) yakkety; urgency=medium

  * More complete FTBFS fix.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Oct 2016 00:32:51 -0700

nfstrace (0.4.2-2ubuntu1) yakkety; urgency=medium

  * debian/patches/gcc6-ftbfs.patch: Fix FTBFS with gcc6.  Closes: #835644.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Oct 2016 00:17:43 -0700

nfstrace (0.4.2-2) unstable; urgency=medium

  * Tests fail on sparc64 and x32, ignore the failures for now.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 22 Jul 2016 16:39:14 +0200

nfstrace (0.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #831116).
  * Make the build reproducible (Closes: #831570).
  * Make the documentation buildable again.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 20 Jul 2016 11:16:55 +0200
