=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nfstrace
 Section: net
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
 Build-Depends:
     debhelper (>= 9),
     cmake,
@@ -12,8 +13,12 @@
     libncurses5-dev,
     libjson-c-dev
 Build-Depends-Indep:
-#   doxygen,
-    libreoffice-writer
+    doxygen,
+    graphviz,
+    texlive-latex-recommended,
+    texlive-latex-extra,
+    texlive-generic-extra,
+    texlive-fonts-recommended
 Standards-Version: 3.9.5
 Homepage: https://github.com/epam/nfstrace/
