## nfstrace 0.4.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 # check compiler and packages ==================================================
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
-    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
-        message (FATAL_ERROR "GCC version must be at least 4.8")
+    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5.1)
+        message (FATAL_ERROR "GCC version must be at least 5.1")
     endif ()
 elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.3)
-        message (FATAL_ERROR "Clang version must be at least 3.3")
+    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.5)
+        message (FATAL_ERROR "Clang version must be at least 3.5")
     endif ()
 else ()
     message (WARNING "Compilation by ${CMAKE_CXX_COMPILER_ID} ${CMAKE_CXX_COMPILER_VERSION} isn't tested")
@@ -30,7 +30,7 @@
 endif ()
 
 # build application ============================================================
-set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -pedantic -Wall -Werror -Wextra -fPIC -fvisibility=hidden")
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -pedantic -Wall -Werror -Wextra -Wno-invalid-offsetof -Wno-braced-scalar-init -fPIC -fvisibility=hidden")
 set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--export-dynamic")
 
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND "${INCLUDE_COVERAGE_INFO}")
@@ -47,7 +47,14 @@
 
 set (NST_VERSION_FULL "${PROJECT_NAME} ${NST_VERSION} (${CMAKE_BUILD_TYPE})")
 
-string (TIMESTAMP COMPILATION_DATE "%Y-%m-%d")
+if (DEFINED ENV{SOURCE_DATE_EPOCH})
+    execute_process(
+      COMMAND "date" "-u" "-d" "@$ENV{SOURCE_DATE_EPOCH}" "+%Y-%m-%d"
+      OUTPUT_VARIABLE COMPILATION_DATE
+      OUTPUT_STRIP_TRAILING_WHITESPACE)
+else ()
+    string (TIMESTAMP COMPILATION_DATE "%Y-%m-%d")
+endif ()
 
 include_directories (src)
 
@@ -105,14 +112,7 @@
 add_subdirectory (docs)
 
 # code style ===================================================================
-find_program (ASTYLE_PATH astyle)
-
-if (ASTYLE_PATH)
-    add_custom_target (codestyle
-                       COMMAND find analyzers src tests -name '*.h' -o -name '*.cpp' |
-                               xargs ${ASTYLE_PATH} --options=${CMAKE_SOURCE_DIR}/astyle.cfg
-                       WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
-endif ()
+include ("cmake/codeformat.cmake")
 
 # valgrind reports =============================================================
 include ("cmake/valgrind.cmake")
