=== debian/changelog ===
nfstrace (0.4.3.1-3) unstable; urgency=medium

  * Add an upstream patch to fix build on GCC 7 (Closes: #853571).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 03 Sep 2017 17:03:25 +0200

nfstrace (0.4.3.1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the PDF footers reproducible (Closes: #865751)

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 24 Jun 2017 17:38:25 +0200

nfstrace (0.4.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #844859, #832069).
  * Update compiler dependencies.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 15 Dec 2016 11:26:30 +0100

nfstrace (0.4.2-3) unstable; urgency=medium

  [ Steve Langasek ]
  * Fix FTBFS with gcc6. (Closes: #835644)

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 04 Oct 2016 11:54:19 +0200
