=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 	dh $@
 
 override_dh_auto_build-indep:
-	cd docs; \
-	unset DISPLAY; \
-	loffice --headless --convert-to pdf nfstrace_manual.docx
-	# PlantUML not available :(
-	# $(MAKE) -C docs
+	dh_auto_build -- documentation
+
+ifneq (,$(filter $(DEB_HOST_ARCH),sparc64 x32))
+override_dh_auto_test-arch:
+	dh_auto_test || true
+endif
 
 override_dh_auto_test-indep:
