=== debian/watch ===
--- 
+++ 
@@ -3,4 +3,5 @@
 
 version=3
 
+opts="filenamemangle=s/(?:.*?)??(\d[\d.]*)\.tar\.([gbx]z2?)/nfstrace-$1.tar.$2/" \
 https://github.com/epam/nfstrace/tags .*/(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)
