## nfstrace 0.4.3.2

=== debian/changelog ===
nfstrace (0.4.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Add Vcs-* field.

  [ Norbert Preining ]
  * Fix FTBFS with TeX Live 2018 (Closes: #896467).

  [ Andrej Shadura ]
  * New upstream release.
  * Add -Wno-class-memaccess -Wno-ignored-qualifiers to fix FTBFS with GCC-8
    (Closes: #897819).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 25 Oct 2018 18:44:57 +0200
