=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: nfstrace
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrew Shadura <andrewsh@debian.org>
 Build-Depends:
     debhelper (>= 9),
     cmake,
-    g++ (>= 4.8) | clang (>= 3.3),
+    g++ (>= 5.1) | clang (>= 3.5),
     libpcap0.8-dev (>= 1.3),
     libgtest-dev,
     google-mock,
@@ -19,8 +18,10 @@
     texlive-latex-extra,
     texlive-generic-extra,
     texlive-fonts-recommended
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/epam/nfstrace/
+Vcs-Browser: https://salsa.debian.org/debian/nfstrace
+Vcs-Git: https://salsa.debian.org/debian/nfstrace.git
 
 Package: nfstrace
 Architecture: any
