=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CXXFLAGS += -Wno-class-memaccess -Wno-ignored-qualifiers
 
 %:
 	dh $@
