=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: nfstrace
 Section: net
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
-    debhelper (>= 9),
+    debhelper-compat (= 12),
     cmake,
     g++ (>= 5.1) | clang (>= 3.5),
     libpcap0.8-dev (>= 1.3),
@@ -16,7 +16,7 @@
     graphviz,
     texlive-latex-recommended,
     texlive-latex-extra,
-    texlive-generic-extra,
+    texlive-plain-generic,
     texlive-fonts-recommended
 Standards-Version: 3.9.6
 Homepage: https://github.com/epam/nfstrace/
