## nfstrace 0.4.3.2%2Bgit20200805%2Bb220d04

=== analyzers/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.8.12)
+cmake_minimum_required (VERSION 3.0)
 
 # build analyzers ==============================================================
 add_library (testanalyzer MODULE src/test/test_analyzer.cpp)
