## nfstrace 0.4.3.2+git20180104+6561cf6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.8.12)
+cmake_minimum_required (VERSION 3.0)
 project (nfstrace)
 
 # check compiler and packages ==================================================
