=== tests/CMakeLists.txt ===
add_subdirectory (functional)
add_subdirectory (unit)
