=== debian/changelog ===
nfstrace (0.4.3.2+git20180104+6561cf6-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add a watch line for Git snapshots.
  * Add FTBFS fixes by Nick Black.
  * Use debhelper-compat 12.
  * Ignore test failures on all architectures.
  * Remove unrecognised -Wno-braced-scalar-init,
    add -Wno-error=address-of-packed-member until a proper fix is written.
    Closes: #925788.
  * Build-depend on texlive-plain-generic (Closes: #933288).
  * Remove no longer necessary -Wno-class-memaccess -Wno-ignored-qualifiers.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 22 Feb 2020 12:04:40 +0200
