=== debian/watch ===
# watch control file for uscan
# See uscan(1) for how to set this file properly

version=4

opts="filenamemangle=s/(?:.*?)??(\d[\d.]*)\.tar\.([gbx]z2?)/nfstrace-$1.tar.$2/" \
https://github.com/epam/nfstrace/tags .*/(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)

opts="mode=git, pgpmode=none, pretty=0.4.3.2+git%cd+%h, repack, compression=xz" \
 https://github.com/epam/nfstrace.git \
 HEAD
