=== tests/functional/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,10 @@
 set (CHECK_OUTPUT_SCRIPT "${CHECK_OUTPUT_SCRIPT_BASE}-${ANALYZER}.sh")
 configure_file ("${CHECK_OUTPUT_SCRIPT_BASE}.sh.in" "${CHECK_OUTPUT_SCRIPT}")
 
+set (CHECK_COMMAND_SCRIPT_BASE "check-command")
+set (CHECK_COMMAND_SCRIPT "${CHECK_COMMAND_SCRIPT_BASE}-${ANALYZER}.sh")
+configure_file ("${CHECK_COMMAND_SCRIPT_BASE}.sh.in" "${CHECK_COMMAND_SCRIPT}")
+
 # Adding trace/drane/output tests for each .pcap.bz2 trace
 file (GLOB traces "${CMAKE_SOURCE_DIR}/traces/*.pcap.bz2")
 foreach (trace ${traces})
@@ -23,5 +27,6 @@
 	add_test (NAME functional_stat:${name} COMMAND sh ${CHECK_TRACE_SCRIPT} ${trace} ${result} ${reference})
 	add_test (NAME functional_drain:${name} COMMAND sh ${CHECK_DRANE_SCRIPT} ${trace} ${result} ${reference})
 	add_test (NAME functional_out:${name} COMMAND sh ${CHECK_OUTPUT_SCRIPT} ${trace})
+	add_test (NAME functional_command:${name} COMMAND sh ${CHECK_COMMAND_SCRIPT} ${trace})
 endforeach ()
