=== analyzers/src/watch/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-cmake_minimum_required (VERSION 2.8.12)
 project (watch)
 
 # check system dependencies instructions =======================================
