=== debian/changelog ===
nfstrace (0.4.3.2+git20200805+b220d04-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113323)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 14:30:27 +0300

nfstrace (0.4.3.2+git20200805+b220d04-4) unstable; urgency=medium

  * Add nocheck and nodoc build profiles.
  * Use intmax_t and the corresponding format specifier when dealing with time_t
    (Closes: #1068029)

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 07 Apr 2024 14:53:20 +0200

nfstrace (0.4.3.2+git20200805+b220d04-3) unstable; urgency=medium

  [ Sven Joachim ]
  * Fix FTBFS with opaque ncurses (Closes: #1057580)

  [ Andrej Shadura ]
  * Add patch metadata.
  * Update standards version to 4.6.2, no changes needed.
  * Set Rules-Requires-Root: no.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 21 Dec 2023 20:48:27 +0100

nfstrace (0.4.3.2+git20200805+b220d04-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * debian/patches/0001-analyzers-fix-a-couple-format-errors.patch: Refresh to
    address format errors on armhf.
  * debian/patches/debian/patches/watch-analyzer-fix-array-bound-error.patch:
    Take the relevant parts of an upstream patch to fix an array bound build
    error.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 18 Mar 2022 09:47:25 -0400

nfstrace (0.4.3.2+git20200805+b220d04-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/patches/0001-analyzers-fix-a-couple-format-errors.patch: Fix
    -Werror=format build errors (LP: #1965155, Closes: #997231).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 17 Mar 2022 13:21:02 -0400

nfstrace (0.4.3.2+git20200805+b220d04-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Switch to the TI RPC implementation (Closes: #992960).

  [ Andrej Shadura ]
  * Wrap long lines in changelog entries: 0.4.3.2+git20200805+b220d04-1.
  * Bump debhelper from old 12 to 13.
  * Fix broken Vcs URL.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 26 Aug 2021 12:08:31 +0200

nfstrace (0.4.3.2+git20200805+b220d04-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #966600).
  * Drop patches applied upstream.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0.
  * Fix Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 15 Aug 2020 16:04:38 +0200
