=== debian/control ===
--- 
+++ 
@@ -3,25 +3,28 @@
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
-    debhelper-compat (= 12),
+    debhelper-compat (= 13),
     cmake,
     g++ (>= 5.1) | clang (>= 3.5),
     libpcap0.8-dev (>= 1.3),
-    libgtest-dev,
-    google-mock,
+    libgtest-dev <!nocheck>,
+    google-mock <!nocheck>,
     libncurses5-dev,
-    libjson-c-dev
+    libjson-c-dev,
+    libtirpc-dev,
+    pkgconf | pkg-config
 Build-Depends-Indep:
-    doxygen,
-    graphviz,
-    texlive-latex-recommended,
-    texlive-latex-extra,
-    texlive-plain-generic,
-    texlive-fonts-recommended
-Standards-Version: 3.9.6
+    doxygen <!nodoc>,
+    graphviz <!nodoc>,
+    texlive-latex-recommended <!nodoc>,
+    texlive-latex-extra <!nodoc>,
+    texlive-plain-generic <!nodoc>,
+    texlive-fonts-recommended  <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/epam/nfstrace/
 Vcs-Browser: https://salsa.debian.org/debian/nfstrace
 Vcs-Git: https://salsa.debian.org/debian/nfstrace.git
+Rules-Requires-Root: no
 
 Package: nfstrace
 Architecture: any
@@ -43,6 +46,7 @@
 Package: nfstrace-doc
 Architecture: all
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: NFS tracing/monitoring/capturing/analyzing tool (documentation)
  nfstrace captures live NFS traffic and performs filtering, statistical
  analysis, visualisation and more. It also provides an API for custom
