=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,17 @@
 #!/usr/bin/make -f
-
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-CXXFLAGS += -Wno-class-memaccess -Wno-ignored-qualifiers
 
 %:
 	dh $@
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 override_dh_auto_build-indep:
 	dh_auto_build -- documentation
+endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),sparc64 x32))
+#ifneq (,$(filter $(DEB_HOST_ARCH),sparc64 x32))
 override_dh_auto_test-arch:
 	dh_auto_test || true
-endif
+#endif
 
 override_dh_auto_test-indep:
